function [count,newPoints,newMiRNAs] = RefiningData()
clc;
clear all;
all_value=[];

% plotDir=pwd;
% plotDirTemp = strcat(plotDir,'/IMAGE/KM/');
% mkdir(plotDirTemp);
   
[data1, str1] = xlsread('./mirna_All.xlsx','Data-All-587');
[n d]=size(data1);
%points=data1';
%mirnaTemp=str1(:,1);
points=(2.^data1)-1;
mirnaTemp=str1(1,:)';
mirnas=mirnaTemp(2:d+1,1);
points_all=zeros(n,1);
count=1;
%fid = fopen( 'newData-BL.csv', 'w' );
for i=1:d
    a=length(find(points(:,i)==0));
    if((a/n)<0.01)
        newPoints(:,count)=points(:,i);
        newMiRNAs(:,count)=str1(1,i+1);
       % fprintf( fid, '%s,%s,%d\n', strs, p );
        count=count+1;
    end
end 

%fclose(fid);      
    
end